Bug 188631 - Internal compiler error
Internal compiler error
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-11 17:47 EDT by Philippe Rigault
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-12 05:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source giving ICE (1.17 MB, text/plain)
2006-04-11 17:47 EDT, Philippe Rigault
no flags Details

  None (edit)
Description Philippe Rigault 2006-04-11 17:47:30 EDT
Description of problem:
An internal compiler error occurs during compilation of the NCBI C++ toolkit.

Version-Release number of selected component (if applicable):
gcc-4.1.0-3

How reproducible: Always


Steps to Reproduce:
1. Download NCBI C++ toolkit
ftp://ftp.ncbi.nih.gov/toolbox/ncbi_tools++/CURRENT/ncbi_cxx--Dec_31_2005.gtar.gz
2. configure
3. make
  
Actual results:
<snip>
/usr/bin/g++  -c -Wall -Wno-format-y2k -m64 -pthread -O2 -march=opteron -fPIC   -DNDEBUG -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64  -D_MT -D_REENTRANT -D_THREAD_SAFE -I/opt/build/ncbi/ncbi_cxx--Dec_31_2005/GCC410-ReleaseMTDLL64--x86_64-unknown-linux-gnu/inc -I/opt/build/ncbi/ncbi_cxx--Dec_31_2005/include  -I/usr/include/freetype2 -O2 -g -
pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic /opt/build/ncbi/ncbi_cxx--Dec_31_2005/src/gui/utils/rgba_color.cpp -o 
rgba_color.o
/opt/build/ncbi/ncbi_cxx--Dec_31_2005/src/gui/utils/rgba_color.cpp: In static 
member function ‘static float ncbi::CRgbaColor::Brightness(const 
ncbi::CRgbaColor&)’:                                                                               /opt/build/ncbi/ncbi_cxx--Dec_31_2005/src/gui/utils/rgba_color.cpp:1443: 
internal compiler error: in get_expr_operands, at tree-ssa-operands.c:1338                                                                                               
Please submit a full bug report,                                                                                         
with preprocessed source if appropriate.                                                                                 
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.                                                          
Preprocessed source stored into /tmp/ccta3D6I.out file, please attach this to 
your bugreport.

Expected results:
Compilation completes

Additional info:
Preprocessed source attached.
Let me know if you need more info.
Cheers.
Comment 1 Philippe Rigault 2006-04-11 17:47:30 EDT
Created attachment 127634 [details]
Preprocessed source giving ICE
Comment 2 Jakub Jelinek 2006-04-12 05:41:03 EDT
The testcase is invalid, most probably just triggers undefined behavior
(but already at static initialization time, so the compiler might format
your disk or anything else when you start the program) or perhaps is just
invalid:
static const float Yr = 0.299f;
static const float Yb = 0.114f;
static const float Yg = 1 - Yr - Yg;
The last line was probably meant to be:
static const float Yg = 1 - Yr - Yb;
As such, this is low priority ICE and we are going to track it upstream.

Note You need to log in before you can comment on or make changes to this bug.